Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class DimensionExplorer.DimensionInfo

    java.lang.Object
      samples.javaclient.analyzer.DimensionExplorer.DimensionInfo

Enclosing class:
  DimensionExplorer

private class DimensionExplorer.DimensionInfo
extends java.lang.Object

Information about a dimension. This class stores the name, short label, hierarchy, and unique ID of the dimension. It also tracks the number of queries that are accessing the dimension.

Field Summary
`private java.lang.String` | `m_hierarchy` The hierarchy that the dimension uses for the active query.
`private java.lang.String` | `m_name` The dimension name.
`private java.lang.String` | `m_shortLabel` The short label for the dimension.
`private java.lang.String` | `m_uniqueID` The unique ID.
`private int` | `m_usageCount` Number of queries that use the dimension.

Constructor Summary
`DimensionExplorer.DimensionInfo(java.lang.String name, java.lang.String uniqueID, java.lang.String shortLabel, java.lang.String hierarchy)` Constructor.

Method Summary
`void` | `decrementUsageCount()` Decrements the usage count.
`java.lang.String` | `getHierarchy()` Gets the hierarchy that the dimension uses for the active query.
`java.lang.String` | `getName()` Gets the name of the dimension.
`java.lang.String` | `getShortLabel()` Gets the short label of the dimension.
`java.lang.String` | `getUniqueID()` Gets the unique ID for the dimension.
`int` | `getUsageCount()` Returns the number of queries that are referring to the dimension.
`void` | `incrementUsageCount()` Increments the usage count.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_name

    private java.lang.String m_name

  The dimension name.

### m_shortLabel

    private java.lang.String m_shortLabel

  The short label for the dimension. This is displayed in the dimension combo box.

### m_hierarchy

    private java.lang.String m_hierarchy

  The hierarchy that the dimension uses for the active query.

### m_uniqueID

    private java.lang.String m_uniqueID

  The unique ID.

### m_usageCount

    private int m_usageCount

  Number of queries that use the dimension.

  See Also:
    `DimensionExplorer.addDimensions(oracle.dss.dataSource.client.QueryClient)`, `DimensionExplorer.removeDimensions(oracle.dss.dataSource.client.QueryClient)`

Constructor Detail

### DimensionExplorer.DimensionInfo

    public DimensionExplorer.DimensionInfo(java.lang.String name,
                                           java.lang.String uniqueID,
                                           java.lang.String shortLabel,
                                           java.lang.String hierarchy)

  Constructor.

Parameters:
  `name` - The dimension name.
  `uniqueID` - The unique ID.
  `shortLabel` - The short label.
  `hierarchy` - The current hierarchy.
See Also:
  `DimensionExplorer.addDimensions(oracle.dss.dataSource.client.QueryClient)`

Method Detail

### incrementUsageCount

    public void incrementUsageCount()

  Increments the usage count. This method is called from the addDimensions method of the outer class, after a user creates or opens a worksheet.

  See Also:
    `DimensionExplorer.addDimensions(oracle.dss.dataSource.client.QueryClient)`

### decrementUsageCount

    public void decrementUsageCount()

  Decrements the usage count. This method is called from the removeDimensions method of the outer class, after a user closes a worksheet.

  See Also:
    `DimensionExplorer.removeDimensions(oracle.dss.dataSource.client.QueryClient)`

### getUsageCount

    public int getUsageCount()

  Returns the number of queries that are referring to the dimension.

  Returns:
    The usage count for this DimensionInfo.

### getName

    public java.lang.String getName()

  Gets the name of the dimension.

  Returns:
    The dimension name.

### getShortLabel

    public java.lang.String getShortLabel()

  Gets the short label of the dimension.

  Returns:
    The dimension short label.

### getHierarchy

    public java.lang.String getHierarchy()

  Gets the hierarchy that the dimension uses for the active query.

  Returns:
    The hierarchy for the dimension for the active query.

### getUniqueID

    public java.lang.String getUniqueID()

  Gets the unique ID for the dimension.

  Returns:
    The unique ID.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD